Bug 542001 - please fix memcached requires
Summary: please fix memcached requires
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: memcached
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Paul Lindner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-27 21:40 UTC by Itamar Reis Peixoto
Modified: 2009-12-11 18:33 UTC (History)
3 users (show)

Fixed In Version: 1.4.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:33:37 UTC
Type: ---


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2009-11-27 21:40:59 UTC
please fix memcached requires

also please avoid using filenames in requires, use package name !!!!




Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/service



[root@itamar ~]# yum -y update --enablerepo=updates-testing
Loaded plugins: presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package memcached.i686 0:1.4.3-1.fc12 set to be updated
---> Package memcached-devel.i686 0:1.4.3-1.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================================================================================================
 Package                                       Arch                               Version                                      Repository                                     Size
===================================================================================================================================================================================
Updating:
 memcached                                     i686                               1.4.3-1.fc12                                 updates-testing                                66 k
 memcached-devel                               i686                               1.4.3-1.fc12                                 updates-testing                               8.4 k

Transaction Summary
===================================================================================================================================================================================
Install       0 Package(s)
Upgrade       2 Package(s)

Total size: 75 k
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
memcached = %{epoch}:1.4.3-1.fc12 is needed by memcached-devel-1.4.3-1.fc12.i686
Complete!
(1, [u'Please report this error in http://yum.baseurl.org/report'])
[root@itamar ~]#

Comment 1 Fedora Update System 2009-11-28 11:51:02 UTC
memcached-1.4.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/memcached-1.4.4-1.fc12

Comment 2 Fedora Update System 2009-12-01 04:31:38 UTC
memcached-1.4.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12406

Comment 3 Fedora Update System 2009-12-11 18:33:27 UTC
memcached-1.4.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.